package com.ruoyi.web.modules.order.vo;

import java.math.BigDecimal;

/**
 * 详情商品明细
 */
public class OrderDetailItemVO
{
    private Long itemId;

    private String goodsImage;

    private String goodsName;

    private String goodsSpec;

    private BigDecimal unitPrice;

    private Integer quantity;

    private BigDecimal lineAmount;

    public Long getItemId()
    {
        return itemId;
    }

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public String getGoodsImage()
    {
        return goodsImage;
    }

    public void setGoodsImage(String goodsImage)
    {
        this.goodsImage = goodsImage;
    }

    public String getGoodsName()
    {
        return goodsName;
    }

    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getGoodsSpec()
    {
        return goodsSpec;
    }

    public void setGoodsSpec(String goodsSpec)
    {
        this.goodsSpec = goodsSpec;
    }

    public BigDecimal getUnitPrice()
    {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice)
    {
        this.unitPrice = unitPrice;
    }

    public Integer getQuantity()
    {
        return quantity;
    }

    public void setQuantity(Integer quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getLineAmount()
    {
        return lineAmount;
    }

    public void setLineAmount(BigDecimal lineAmount)
    {
        this.lineAmount = lineAmount;
    }
}
